Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem emerging gimp+gimp-print-5.0.0.beta1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
pygoscelis
Guru
Guru


Joined: 07 Jun 2003
Posts: 386

PostPosted: Fri Aug 13, 2004 10:24 pm    Post subject: Problem emerging gimp+gimp-print-5.0.0.beta1 Reply with quote

I used to use gimp-print-4.x and everything was OK. Today I've emerged gimp-print-5.0.0.beta1 and now gimp can't use it. I tried to re-emerge gimp, but the emerge fails because it can't find gimp-print! I think there should be a script called gimpprint-config or somesuch installed, but I can't find any.

Please help.

EDIT: it looks like 5.0.0 is genuinely incompatible with 4.2.x and is not supported by gimp... see http://bugzilla.gnome.org/show_bug.cgi?id=120162

OK, how am I supposed to print from gimp on my brand spanking new Epson Stylus Photo R200?
_________________
!זה הכי, אחי Gentoo
Back to top
View user's profile Send private message
teilo
Apprentice
Apprentice


Joined: 20 Jun 2003
Posts: 276
Location: Minneapolis, MN

PostPosted: Sat Aug 14, 2004 2:50 pm    Post subject: Reply with quote

Quote:
OK, how am I supposed to print from gimp on my brand spanking new Epson Stylus Photo R200?


Install Gimp 1.2, and use it for printing. The builds are slotted, so 2.0 and 1.2 will coexist just fine.
_________________
Teilo who is called Teilo
Back to top
View user's profile Send private message
Gentree
Watchman
Watchman


Joined: 01 Jul 2003
Posts: 5350
Location: France, Old Europe

PostPosted: Sat Aug 14, 2004 7:28 pm    Post subject: Reply with quote

Quote:
OK, how am I supposed to print from gimp on my brand spanking new Epson Stylus Photo R200?


I may misunderstand you but it seems you have downloaded a beta and it does not work . If you want to use your new printer the simple answer is to use 2.4.x that you say works.

If you need to recompile gimp I think you will need USE='gimp-print' emerge gimp or have that option in you uses clause in /etc/make.conf

I got caught out when I first emerged gimp 2.0 and had no print capability.

HTH 8)
_________________
Linux, because I'd rather own a free OS than steal one that's not worth paying for.
Gentoo because I'm a masochist
AthlonXP-M on A7N8X. Portage ~x86
Back to top
View user's profile Send private message
pygoscelis
Guru
Guru


Joined: 07 Jun 2003
Posts: 386

PostPosted: Sun Aug 15, 2004 8:52 am    Post subject: Reply with quote

Gentree wrote:
I may misunderstand you but it seems you have downloaded a beta and it does not work . If you want to use your new printer the simple answer is to use 2.4.x that you say works.

Epson R200 is a fairly new printer and it isn't supported in the stable release of gimp-print, so I can't use the stable release at all.

The beta release supports R200 and I can print from any application except the Gimp. Which is a bit strange, considering the names of the two packages.
_________________
!זה הכי, אחי Gentoo
Back to top
View user's profile Send private message
pygoscelis
Guru
Guru


Joined: 07 Jun 2003
Posts: 386

PostPosted: Sun Aug 15, 2004 8:53 am    Post subject: Reply with quote

teilo wrote:
Quote:
OK, how am I supposed to print from gimp on my brand spanking new Epson Stylus Photo R200?


Install Gimp 1.2, and use it for printing. The builds are slotted, so 2.0 and 1.2 will coexist just fine.


Hm. So you're saying gimp-print 5.0.0.beta1 supports gimp 1.2 but not 2.0?
_________________
!זה הכי, אחי Gentoo
Back to top
View user's profile Send private message
Gentree
Watchman
Watchman


Joined: 01 Jul 2003
Posts: 5350
Location: France, Old Europe

PostPosted: Sun Aug 15, 2004 9:35 am    Post subject: Reply with quote

Quote:
Epson R200 is a fairly new printer and it isn't supported in the stable release of gimp-print, so I can't use the stable release at all.


checkout turboprint I'm fairly sure it does support your printer.

I use it with my Photo 925 and it is excellent . It produces a quaility indistinguishable from gimp-print / foomatic but in about 20% of the time. Hence the name.

Anyway I think it will get you running.

BTW its a shareware binary. So I dont think there's an ebuild.

HTH
_________________
Linux, because I'd rather own a free OS than steal one that's not worth paying for.
Gentoo because I'm a masochist
AthlonXP-M on A7N8X. Portage ~x86
Back to top
View user's profile Send private message
teilo
Apprentice
Apprentice


Joined: 20 Jun 2003
Posts: 276
Location: Minneapolis, MN

PostPosted: Mon Aug 16, 2004 4:19 pm    Post subject: Reply with quote

pygoscelis wrote:
Hm. So you're saying gimp-print 5.0.0.beta1 supports gimp 1.2 but not 2.0?


Correct. You will need to emerge gimp 1.2 first. Then remerge gimp-print 5.

Code:
emerge \=gimp-1.2.5
ACCEPT_KEYWORDS="~x86" emerge gimp-print

_________________
Teilo who is called Teilo
Back to top
View user's profile Send private message
ChrisCol
n00b
n00b


Joined: 15 Nov 2003
Posts: 49

PostPosted: Tue Aug 17, 2004 12:05 pm    Post subject: Reply with quote

teilo wrote:

Correct. You will need to emerge gimp 1.2 first. Then remerge gimp-print 5.

Code:
emerge \=gimp-1.2.5
ACCEPT_KEYWORDS="~x86" emerge gimp-print


Hmmm,

I've done this, and have the option to print in gimp-1.2.5 but no print plugin box is displayed when I got to file->print. Everything emerged fine and the drivers seem to work, apart from the plugin with the gimp.

Any ideas appreciated??

Cheers
Chris
Back to top
View user's profile Send private message
bisho
n00b
n00b


Joined: 02 May 2003
Posts: 69
Location: Madrid (Spain)

PostPosted: Wed Aug 18, 2004 7:39 am    Post subject: Reply with quote

The Print plugin that comes packaged with the GIMP is not compatible with Gimp-Print 4.3 or the 5 series, only with 4.2. The least serious difference is that we"re now using pkg-config rather than a dedicated gimpprint-config. The API is also changed incompatibly.

In the gimp-print-devel mailinglist, suggest to compile this way:

Compile the gimp (even 2.0) with --disable-print. After you install
the GIMP, build Gimp-Print with --with-cups --with-gimp and
install it. That will build and install the Print plugin for gimp for you.
_________________
-=[ bisho [=-
Back to top
View user's profile Send private message
ChrisCol
n00b
n00b


Joined: 15 Nov 2003
Posts: 49

PostPosted: Wed Aug 18, 2004 8:33 am    Post subject: Reply with quote

bisho wrote:

Compile the gimp (even 2.0) with --disable-print. After you install
the GIMP, build Gimp-Print with --with-cups --with-gimp and
install it. That will build and install the Print plugin for gimp for you.


So is it possible to do this with Gentoo's USE flags? Something like?
Code:

USE="-gimpprint" emerge =gimp-2.1.1
ACCEPT_KEYWORDS="~x86"  emerge /usr/portage/media-gfx/gimp-print/gimp-print-5.0.0_beta1.ebuild
Back to top
View user's profile Send private message
jimmybfan
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jul 2002
Posts: 100
Location: P-town

PostPosted: Sun Aug 22, 2004 4:43 am    Post subject: Reply with quote

for printing from gimp2 with gimp-print 5 see https://forums.gentoo.org/viewtopic.php?p=1458460
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum